/* SPINNER
===================*/
.spinner-text-center {
    width: 100%;
    position: relative;
    height: 100%;
}

.spinner-border {
    display: block;
    position: fixed;
    top: calc(50% - (58px / 2));
    right: calc(50% - (58px / 2));
}

#spinner-backdrop {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1060;
    background-color: rgb(0,0,0,0.4);
}

.documento-container {
    position: relative;
    padding-bottom: 50%;
}

.documento-container iframe {
    position: absolute;
    width: 100%;
    height: 100%;
}

.table-responsive {
    max-height: 400px;
    overflow-y: scroll !important;
    white-space: nowrap !important;
}

input:read-only, input:read-only:focus {
    background-color: #f5f6fa;
    opacity: 1;
}

/* Paginado */
.pagination .active {
    color: white !important;
}

/* Date Picker */
.datepicker table tr td.active,
.datepicker table tr td.active:hover,
.datepicker table tr td.active.disabled,
.datepicker table tr td.active.disabled:hover {
    background-color: #4e82c2;
    color: #fff !important;
}

/* Controles */
textarea.form-control {
    min-height: 50px;
}

@media (min-width: 992px) {
    .modal-lgx {
        --bs-modal-width: 980px;
    }
}

/* Fijar Columna Tabla */
.fixed-top-th {
    position: sticky;
    top: 0;
    background-color: white;
    z-index: 2;
}

.fixed-left-th {
    position: sticky;
    top: 0;
    left: 0;
    background-color: white;
    z-index: 3;
}

.fixed-right-th {
    position: sticky;
    top: 0;
    right: 0;
    background-color: white;
    z-index: 3;
}

.fixed-left-td {
    position: sticky;
    left: 0;
    background-color: white;
    z-index: 1;
}

.fixed-right-td {
    position: sticky;
    right: 0;
    background-color: white;
    z-index: 1;
}